Debian Bug report logs - #736395
shinken: Debconf abuse

version graph

Package: shinken; Maintainer for shinken is Thibault Cohen <thibault.cohen@savoirfairelinux.com>; Source for shinken is src:shinken.

Reported by: Christian Perrier <bubulle@debian.org>

Date: Thu, 23 Jan 2014 08:03:01 UTC

Severity: normal

Fixed in version shinken/1.4-3

Done: Thibault Cohen <thibault.cohen@savoirfairelinux.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Thibault Cohen <thibault.cohen@savoirfairelinux.com>:
Bug#736395; Package shinken. (Thu, 23 Jan 2014 08:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
New Bug report received and forwarded. Copy sent to Thibault Cohen <thibault.cohen@savoirfairelinux.com>.

Your message had a Version: pseudo-header with an invalid package version:

N/A

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Thu, 23 Jan 2014 08:03:06 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: shinken: Debconf abuse
Date: Thu, 23 Jan 2014 08:58:47 +0100
Package: shinken
Version: N/A
Severity: normal

This package seems to use a debconf note to notify users without any
special action.

This is usually identified as "debconf abuse". Debconf notes should be
kept for for important notes that the user really should see, since
debconf will go to great pains to make sure the user sees it; halting
the install for them to press a key.  It's best to use these only for
warning about very serious problems, and the error datatype is often
more suitable.  

Please consider alternative ways to warn users such as entries in
NEWS.Debian, documentation in README.Debian or error template
datatype.

If you disagree with this bug report, you're suggested to tag this bug
report as "wontfix" rather than just close it.

Please notice that this text is standardized for all packages that use
debconf inappropriately (at least in the bug submitter's opinion).

-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.12-1-686-pae (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Reply sent to Thibault Cohen <thibault.cohen@savoirfairelinux.com>:
You have taken responsibility. (Fri, 28 Feb 2014 09:39:27 GMT) Full text and rfc822 format available.

Notification sent to Christian Perrier <bubulle@debian.org>:
Bug acknowledged by developer. (Fri, 28 Feb 2014 09:39:27 GMT) Full text and rfc822 format available.

Message #10 received at 736395-close@bugs.debian.org (full text, mbox):

From: Thibault Cohen <thibault.cohen@savoirfairelinux.com>
To: 736395-close@bugs.debian.org
Subject: Bug#736395: fixed in shinken 1.4-3
Date: Fri, 28 Feb 2014 09:37:58 +0000
Source: shinken
Source-Version: 1.4-3

We believe that the bug you reported is fixed in the latest version of
shinken, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 736395@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thibault Cohen <thibault.cohen@savoirfairelinux.com> (supplier of updated shinken package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 27 Feb 2014 18:30:59 -0500
Source: shinken
Binary: shinken shinken-common shinken-module-poller-nrpe shinken-module-broker-npcdmod shinken-module-broker-graphite shinken-module-broker-livestatus shinken-module-broker-livestatus-null shinken-module-broker-livestatus-sqlite shinken-module-broker-livestatus-mongodb shinken-module-broker-webui shinken-module-broker-webui-cfgpassword shinken-module-broker-webui-sqlitedb shinken-module-broker-webui-mongodb shinken-module-broker-webui-graphite shinken-module-arbiter-ws shinken-module-arbiter-hotdependencies shinken-module-arbiter-collectd shinken-module-arbiter-nsca shinken-module-retention-picklefile shinken-module-retention-mongodb shinken-module-commandfile
Architecture: source amd64
Version: 1.4-3
Distribution: unstable
Urgency: low
Maintainer: Thibault Cohen <thibault.cohen@savoirfairelinux.com>
Changed-By: Thibault Cohen <thibault.cohen@savoirfairelinux.com>
Description: 
 shinken    - Flexible monitoring tool - Meta-package
 shinken-common - Flexible monitoring tool - Common files
 shinken-module-arbiter-collectd - Collectd module for Arbiter or Receiver
 shinken-module-arbiter-hotdependencies - Hot Dependencies module for Arbiter
 shinken-module-arbiter-nsca - NSCA module for Arbiter or Receiver
 shinken-module-arbiter-ws - WebService module for Arbiter or Receiver
 shinken-module-broker-graphite - Flexible monitoring tool - Graphite module for Broker
 shinken-module-broker-livestatus - Flexible monitoring tool - LiveStatus module for Broker
 shinken-module-broker-livestatus-mongodb - Shinken MongoDB logstore for LiveStatus broker module
 shinken-module-broker-livestatus-null - Shinken Null logstore for LiveStatus broker module
 shinken-module-broker-livestatus-sqlite - Shinken Sqlite logstore for LiveStatus broker module
 shinken-module-broker-npcdmod - Flexible monitoring tool - PNP4Nagios module for Broker
 shinken-module-broker-webui - Shinken WebUI broker module
 shinken-module-broker-webui-cfgpassword - Shinken cfg_password authentifcation module for WebUI broker
 shinken-module-broker-webui-graphite - Shinken Graphite module for WebUI broker
 shinken-module-broker-webui-mongodb - Shinken MongoDB storage module for WebUI broker
 shinken-module-broker-webui-sqlitedb - Shinken Sqlite storage module for WebUI broker
 shinken-module-commandfile - Command file module for Arbiter, Receiver or Poller
 shinken-module-poller-nrpe - Flexible monitoring tool - NRPE module for Poller
 shinken-module-retention-mongodb - MongoDB retention module for Scheduler
 shinken-module-retention-picklefile - Retention module for Arbiter, Scheduler or Broker
Closes: 732556 736395 736784 736789 739791
Changes: 
 shinken (1.4-3) unstable; urgency=low
 .
   * Delete useless debconf files. Closes: #736395
   * Delete sourceless flash file. Closes: #736789
   * Add source for sourceless file. Closes: #736784
   * Fix mongodb dependencies. Closes: #732556
   * Remove folders created from package. Closes: #739791
   * Add a new uploader
Checksums-Sha1: 
 4e1208a04c34be3c41714cd2f014ecb4f71566ac 3588 shinken_1.4-3.dsc
 3d6dd69430718ee3553834e2da82fc228800f560 252276 shinken_1.4-3.debian.tar.xz
 d1589bfbd0f34e3d1ece8786866519eca396719c 53190 shinken_1.4-3_amd64.deb
 10981ae159dcdd0a60426b44ea68d6d023623e2f 3043594 shinken-common_1.4-3_amd64.deb
 18d2e813cf5954c00c7f78547e7bf5b4ccbc4ba5 57564 shinken-module-poller-nrpe_1.4-3_amd64.deb
 6baf2262461bbe874290e328b7367c512f758eb1 55464 shinken-module-broker-npcdmod_1.4-3_amd64.deb
 52af3e49222bd9a98b42a0d53d67d52fad6ba1f9 55800 shinken-module-broker-graphite_1.4-3_amd64.deb
 d3faf0ce05cbce4baa7a0ef08b9e35c342243475 95562 shinken-module-broker-livestatus_1.4-3_amd64.deb
 a609aa6b57985e077ac1d6392f9322b940f0017e 53736 shinken-module-broker-livestatus-null_1.4-3_amd64.deb
 602291a17cf6053b46d7998a36191a08cb8e307b 59862 shinken-module-broker-livestatus-sqlite_1.4-3_amd64.deb
 593479797c977859881daf7d3b87083c25eb6ff7 58056 shinken-module-broker-livestatus-mongodb_1.4-3_amd64.deb
 8e112c018ff4420280c929b80d7364f2fbe26123 3345396 shinken-module-broker-webui_1.4-3_amd64.deb
 0ede7855d598a421abc483912b894e6a1011a8fd 53730 shinken-module-broker-webui-cfgpassword_1.4-3_amd64.deb
 a42c877ddca56b94acf2154b3bb56f48b95430ad 54312 shinken-module-broker-webui-sqlitedb_1.4-3_amd64.deb
 f239574aa2cfad74714d951a48653c0e1fc08c99 55274 shinken-module-broker-webui-mongodb_1.4-3_amd64.deb
 36ac3441488a02f255b2e665703e1c062cc112a4 56768 shinken-module-broker-webui-graphite_1.4-3_amd64.deb
 8fe0cc5397494d0c2c1603b72171135faa112c8b 55484 shinken-module-arbiter-ws_1.4-3_amd64.deb
 e3adaedb32ea9c5feea9589feb4d15e36240df11 56230 shinken-module-arbiter-hotdependencies_1.4-3_amd64.deb
 d772e7fc33bf757aa0d250a3dae1648aa95fdd80 56126 shinken-module-arbiter-collectd_1.4-3_amd64.deb
 6042c69a4a4d6c6b279694c0218fd05d685443e2 55306 shinken-module-arbiter-nsca_1.4-3_amd64.deb
 4d5789525740b2e7b4a1e86836f7e7bc145ff452 54250 shinken-module-retention-picklefile_1.4-3_amd64.deb
 5818d0d382d0782977ea4744cbceb72bcfd9ed8e 54590 shinken-module-retention-mongodb_1.4-3_amd64.deb
 6915f41bd9438772c6cd6a2c82e7f85091ac72f3 54350 shinken-module-commandfile_1.4-3_amd64.deb
Checksums-Sha256: 
 c262fce5e28ff022a5092704d5256c9b6b1d3c900876130e4b8ea74a10c4c06d 3588 shinken_1.4-3.dsc
 0da548455a42898f733efb62f3efcd696314b9c1bdf11343e65f69f05121fe5a 252276 shinken_1.4-3.debian.tar.xz
 94aeec6d729d31ffd64a5d4e64318453dcc36c94e8fe82133ad028deb12f82e5 53190 shinken_1.4-3_amd64.deb
 22fe8ea2952bd411599d4604c1d54805a93b34011167b75e3c4ff357ed1509fa 3043594 shinken-common_1.4-3_amd64.deb
 9769304e6222ad307ed9edc3ec2635109a54fbab8a6da25ff687e334c690cfb4 57564 shinken-module-poller-nrpe_1.4-3_amd64.deb
 d499014f8b331d72b4b18d9f8a9b76aef4008defa476f1295b666c09bf26fbba 55464 shinken-module-broker-npcdmod_1.4-3_amd64.deb
 966b6880feb52d9cff59bd17883d322cab6ac4741a8825d6e625eb75c7078c34 55800 shinken-module-broker-graphite_1.4-3_amd64.deb
 e9e9390831bf79cebb47dadd9681397defd3c60fef158cccd5dd16ef60983981 95562 shinken-module-broker-livestatus_1.4-3_amd64.deb
 3dc1a0245c4346a74595c35a7326106f45748921401d2cb09ae511fd7dc83563 53736 shinken-module-broker-livestatus-null_1.4-3_amd64.deb
 15f38966575791a9ad7aea6e12ee1d50110f06d416fb7562f144235d00e10a3b 59862 shinken-module-broker-livestatus-sqlite_1.4-3_amd64.deb
 9510cd14f5b30045e360b7c9a30b65bf76e463b6b5bd7975a849ab58683d54fe 58056 shinken-module-broker-livestatus-mongodb_1.4-3_amd64.deb
 3ee34922625a4c7153deaf3d7800784b33158bbf5a71cd0d2e3303eaea00ad7e 3345396 shinken-module-broker-webui_1.4-3_amd64.deb
 a7ad4c5506df0dfbd440aefbbfadfd82548fae8d93d1b0d8e1614bfbb1f4076f 53730 shinken-module-broker-webui-cfgpassword_1.4-3_amd64.deb
 ccf90166713da76614648cde437e6350a0b67c7d280ed8c9fbe0ffac55547fad 54312 shinken-module-broker-webui-sqlitedb_1.4-3_amd64.deb
 4f6858599e29eba626bdaaf05ed35e53fafb43f60ea96218f5f58e2a82b4e769 55274 shinken-module-broker-webui-mongodb_1.4-3_amd64.deb
 064404c2dc74ffb2cfc1a9810da298fcb5c2b1ef9d49b3d81d97f7cebdf0de00 56768 shinken-module-broker-webui-graphite_1.4-3_amd64.deb
 fefd0d11ff01e9a2ff24594af2c0738fbc83cbe86b90040e15660dbf77ae7956 55484 shinken-module-arbiter-ws_1.4-3_amd64.deb
 794ded485b28fc8d627407579955f2be2fd96d5be2962857f18eeeac8e2a8c5b 56230 shinken-module-arbiter-hotdependencies_1.4-3_amd64.deb
 6950959a0c4153efd3f0c143d1418ad07d2c66bbef6f198d1e302f1285d7f259 56126 shinken-module-arbiter-collectd_1.4-3_amd64.deb
 1cd59eef9cb3a4eb496e9d7499a30d0072bb6bb0f0860861c42ba511a005c5b6 55306 shinken-module-arbiter-nsca_1.4-3_amd64.deb
 7fda2ff46165e7af1e655514197b40615842486c2ee217977b24530ea0e89269 54250 shinken-module-retention-picklefile_1.4-3_amd64.deb
 fdb23845a98547da01061e48480db475a6c5e897435fd4f7160e926ba593a179 54590 shinken-module-retention-mongodb_1.4-3_amd64.deb
 4eeb2a04ebc46ff8aa880f1f2e9bffa743d11cb39c48a2aabfa6ff127c57c597 54350 shinken-module-commandfile_1.4-3_amd64.deb
Files: 
 539e3bf8878e4073b2d9c115a7dbca08 3588 net extra shinken_1.4-3.dsc
 341ad4d65df0d3c30fdc203cc33ccbbb 252276 net extra shinken_1.4-3.debian.tar.xz
 4aa9a43de8704584c33d24397ce43398 53190 net extra shinken_1.4-3_amd64.deb
 f51a3ec40392d330a9768f087f66703b 3043594 net extra shinken-common_1.4-3_amd64.deb
 15e8d01e4f46c244910d58bcc8566d7f 57564 net extra shinken-module-poller-nrpe_1.4-3_amd64.deb
 e472368491bdd269d01c38f8815530b6 55464 net extra shinken-module-broker-npcdmod_1.4-3_amd64.deb
 453bbbbc6ec196e2490a47c9ff24ed26 55800 net extra shinken-module-broker-graphite_1.4-3_amd64.deb
 53a6aaecfa368b1fd57f2df3d578f38c 95562 net extra shinken-module-broker-livestatus_1.4-3_amd64.deb
 7837981819cbebf4f8e34c4436d5e3a2 53736 net extra shinken-module-broker-livestatus-null_1.4-3_amd64.deb
 fa435f295e176fa87dae22af16b3cca9 59862 net extra shinken-module-broker-livestatus-sqlite_1.4-3_amd64.deb
 8d4f43502b73a0c89d719a21f550dfc9 58056 net extra shinken-module-broker-livestatus-mongodb_1.4-3_amd64.deb
 adc9cc5971da18df7a26ae6a00e6e109 3345396 net extra shinken-module-broker-webui_1.4-3_amd64.deb
 6f4a168dc9a2f2a1cc4e7fc56e1e8cd4 53730 net extra shinken-module-broker-webui-cfgpassword_1.4-3_amd64.deb
 a49473a639e0fe78b5e9098d0c24a8fc 54312 net extra shinken-module-broker-webui-sqlitedb_1.4-3_amd64.deb
 933d2c43999b4191e443bf60c2aed53a 55274 net extra shinken-module-broker-webui-mongodb_1.4-3_amd64.deb
 93c896f558b0a433554261121a9c9d06 56768 net extra shinken-module-broker-webui-graphite_1.4-3_amd64.deb
 4c560490693aaad8db16a60e5a41ba41 55484 net extra shinken-module-arbiter-ws_1.4-3_amd64.deb
 ff20d324f9203e930f69dfbce10f5b79 56230 net extra shinken-module-arbiter-hotdependencies_1.4-3_amd64.deb
 f3b406ae650ec94eb7b70a7013597752 56126 net extra shinken-module-arbiter-collectd_1.4-3_amd64.deb
 4bbfb5c6639ea4931d474d67065c1fa0 55306 net extra shinken-module-arbiter-nsca_1.4-3_amd64.deb
 845eab0c6220a4e06127606dd3625d07 54250 net extra shinken-module-retention-picklefile_1.4-3_amd64.deb
 454d5b7361d06ead69659efe3be37d09 54590 net extra shinken-module-retention-mongodb_1.4-3_amd64.deb
 1ac0da2524c525ef99d04df62233b0b8 54350 net extra shinken-module-commandfile_1.4-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJTEEoRAAoJEH5lKNp1LxvhdjkP/iZQTxmDkVYZuORTPcp4zozZ
rBqVw6ArLqrow5rypCDqChiLdbmSGWwmyhyEItYRZlju2womWu/EnvlFJN+VPVjB
gsGpHVoxZOX3pCNi6lvPPOUrTqJFI8gLiA1kfCBdKvPLXCOrHITfP/pM7Nvos9xs
/8HHL+NM4DTTxrgKJRCmX30OoDbZYp40a4rCRrCdtYmGM+hLmpV/QJYfiJFJKKue
2rkydTJsESUDXLQLlIPeluCOkawKBAQs900aXb1cQSYIuriUgIZU7yNyOhgOE1JZ
vAbSoIiKG7dwTXgKktfo44DR0bLwygWytHKsAG5nG0lDqzYkEmtxiEinHBh4NHzi
7pwHTUlsIYLZPOoc24WXMKr7bxmViPFo1wUEjibi7vS1l051/ulSQAYs5l6d5uwE
qCVdKDQlPcZGAvqv13qUo/V8xTHUIBFYTH8ze0yT5XDgBeR3paKzn1t/Atcy1PLb
qX1HcF35SXTfGm5k6NBizx7acp2JN8YE1jJcz95JsvPLjb8eER8lFifP6IQUJ4Jg
uLZaSO0UVQkzquJXhX6jDsSrvxn4gtaKVoj3Lt7Nltu/XUZ31bQ+gGljenVnGPso
7I8PIUmD02/wTfSgTeV+Nu0023bq9rbZbUhSrf282CZRS4Etco1lGXTk5La9lSDl
skFOSNjRh7HQsIIEkich
=YugC
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 29 Mar 2014 07:32:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:24:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.